Debian Bug report logs - #493695
[deborphan] deborphan: The status file is in an improper state.

version graph

Package: deborphan; Maintainer for deborphan is deborphan devel team <deborphan-devel@lists.alioth.debian.org>; Source for deborphan is src:deborphan.

Reported by: Thomas Florek <thflorek@web.de>

Date: Mon, 4 Aug 2008 09:54:04 UTC

Severity: grave

Merged with 493896

Found in version deborphan/1.7.25

Fixed in version deborphan/1.7.26

Done: Carsten Hey <c.hey@web.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Carsten Hey <c.hey@web.de>:
Bug#493695; Package deborphan. Full text and rfc822 format available.

Acknowledgement sent to Thomas Florek <thflorek@web.de>:
New Bug report received and forwarded. Copy sent to Carsten Hey <c.hey@web.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Florek <thflorek@web.de>
To: submit@bugs.debian.org
Subject: [deborphan] deborphan: The status file is in an improper state.
Date: Mon, 04 Aug 2008 11:51:19 +0200
Package: deborphan
Version: 1.7.25
Severity: normal

--- Please enter the report below this line. ---

Got the following error message:

# orphaner
deborphan: The status file is in an improper state.
One or more packages are marked as half-installed, half-configured,
unpacked, triggers-awaited or triggers-pending. Exiting.

"Googling" didn't clarify anything for me.
If necessary I could give additional info
Greetings
Tom

--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.26-1.slh.3-sidux-686

Debian Release: lenny/sid
  500 unstable        sidux.com
  500 unstable        ftp.de.debian.org
  500 testing         ftp.de.debian.org

--- Package information. ---
Depends       (Version) | Installed
=======================-+-===========
libc6        (>= 2.7-1) | 2.7-13






Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#493695; Package deborphan. Full text and rfc822 format available.

Acknowledgement sent to Carsten Hey <c.hey@web.de>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Carsten Hey <c.hey@web.de>
To: Thomas Florek <thflorek@web.de>, 493695@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#493695: [deborphan] deborphan: The status file is in an improper state.
Date: Mon, 4 Aug 2008 12:31:58 +0200
Hi,

On Mon, Aug 04, 2008 at 11:51:19AM +0200, Thomas Florek wrote:
> Got the following error message:
>
> # orphaner
> deborphan: The status file is in an improper state.
> One or more packages are marked as half-installed, half-configured,
> unpacked, triggers-awaited or triggers-pending. Exiting.

something bad happend in the past an your Debian installation is broken.
This can be fixed, but until this has happend you should not try to
remove orphaned packages since this has lead to removed kernels in the
past.

Please run the following command to find out which packages are in
an improper state:

    egrep '^Status: |^Package: ' /var/lib/dpkg/status | egrep -B 1 'half-installed|half-configured|unpacked|triggers-awaited|triggers-pending'

Unpacked packages can be fixed using dpkg --configure packagename.

dpkg --audit could also help.

I probably need to document what can be done in which case and add
a pointer to this documentation to the error message. Patches are
welcome! :)

> "Googling" didn't clarify anything for me.

Thanks for the bugreport, the next time someone searches for this error
message he or she will find this mail. :)

> If necessary I could give additional info

If you are not able to fix your Debian installation or to find out which
package is in which broken state please send me the file
/var/lib/dpkg/status privately.


Regards,
Carsten




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#493695; Package deborphan. Full text and rfc822 format available.

Acknowledgement sent to Carsten Hey <c.hey@web.de>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#493695; Package deborphan. Full text and rfc822 format available.

Acknowledgement sent to Carsten Hey <c.hey@web.de>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 493695@bugs.debian.org (full text, mbox):

From: Carsten Hey <c.hey@web.de>
To: Thomas Florek <thflorek@web.de>
Cc: 493695@bugs.debian.org
Subject: Re: Bug#493695: [deborphan] deborphan: The status file is in an improper state.
Date: Thu, 7 Aug 2008 11:09:02 +0200
On Thu, Aug 07, 2008 at 10:53:46AM +0200, Thomas Florek wrote:
> I send you the file /var/lib/dpkg/status as attachement.

Package: fp-linux-ws
Status: install ok installed
Priority: optional
Section: non-free
Installed-Size: 6224
Maintainer: FRISK Software International <support@f-prot.com>
Architecture: all
Source: fp-linux
Version: 4.6.8
Depends: grep, textutils, unzip, libnet-perl, libwww-perl
Description: F-Prot Antivirus for Linux Workstations.
 F-Prot Antivirus for Linux is a suite of Linux tools utilizing the
 award-winning F-Prot Antivirus engine from FRISK Software International,
 which detects over 400,000 viruses, worms, and trojans.
 .
 F-Prot Antivirus for Linux Workstations features a Command-Line Scanner,
 an Updater script, and documentation.
 .
 The Command-Line Scanner features malicious software detection and
 disinfection.  After each scan a detailed report on positive virus detection
 is displayed.
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

The last line is incorrectly detected as "Status:" line, since deborphan only
checks the first few characters of the line to determine of which type the line
is. The reason for this is better performance, but in combination with the
abortion if the status line is not parsable or in a improper format it results
in this bug.

I've reported this in http://bugs.debian.org/493896 and already fixed it in
the subversion repository.


Regards,
Carsten




Severity set to `grave' from `normal' Request was from Carsten Hey <c.hey@web.de> to control@bugs.debian.org. (Thu, 07 Aug 2008 09:51:01 GMT) Full text and rfc822 format available.

Merged 493695 493896. Request was from Carsten Hey <c.hey@web.de> to control@bugs.debian.org. (Thu, 07 Aug 2008 09:51:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Sep 2008 07:32:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:54:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.